comparison abyss/abyss_wrapper.sh @ 0:92636934a189 default tip

Migrated tool version 1.0.0 from old tool shed archive to new tool shed repository
author edward-kirton
date Tue, 07 Jun 2011 17:49:27 -0400
parents
children
comparison
equal deleted inserted replaced
-1:000000000000 0:92636934a189
1 #!/bin/bash
2
3 if [ $# -ne 3 ]
4 then
5 echo "ERROR: Expected exactly 3 arguments; got: $*" 1>&2
6 exit 1
7 fi
8
9 CMD=`ABYSS -k$1 $2 -o $3 2>&1`
10 if [ $? -ne 0 ]
11 then
12 {
13 echo "COMMAND FAILURE: $CMD" 1>&2
14 exit $?
15 }
16 fi